summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarcin Wieczorek2016-09-18 19:51:24 +0200
committerMarcin Wieczorek2016-09-18 19:51:24 +0200
commitd39c7eaa6a23c456cf3236c0bf70ec4ef9ffda3c (patch)
treee7b6aa3b0d68891db5b456360e2014df01042e27
parent68731d14759e1c9e1131b1c6d37c110660de91d7 (diff)
downloadaur-d39c7eaa6a23c456cf3236c0bf70ec4ef9ffda3c.tar.gz
Release 7.4.3-1
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD395
-rw-r--r--bacula-dir.service24
-rw-r--r--bacula-fd.service18
-rw-r--r--bacula-sd.service18
5 files changed, 226 insertions, 252 deletions
diff --git a/.SRCINFO b/.SRCINFO
index cf067845719..eaeac48c017 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,6 @@
pkgbase = bacula
pkgdesc = Bacula - A Network Backup Tool
- pkgver = 7.4.0
+ pkgver = 7.4.3
pkgrel = 1
url = http://www.bacula.org
arch = i686
@@ -11,13 +11,16 @@ pkgbase = bacula
makedepends = postgresql-libs
makedepends = qt4
optdepends = openssl: network encryption between daemons
- source = http://downloads.sourceforge.net/sourceforge/bacula/bacula-7.4.0.tar.gz
+ source = http://downloads.sourceforge.net/sourceforge/bacula/bacula-7.4.3.tar.gz
+ source = bacula-dir.service
+ source = bacula-fd.service
+ source = bacula-sd.service
source = 00-qmake4.patch
source = 01-basename.patch
- md5sums = c290c505b51699201cc5e0adea01f2e0
- md5sums = 9ac88867a9ad3a4fe0486a26d0cdb542
- md5sums = 1b58f9bf9bfd047b15e8057e2028a96a
- sha1sums = 6ccc405027e16ae09cbcf2059589dbcbaf5e739f
+ sha1sums = ca9d11b038dda91a65d8bf98981645ad0f0800f6
+ sha1sums = 1a68381bd8d0b78cffe78634d160b1a287333c4e
+ sha1sums = 151c6d8b06d8be029a9a50be4d6e64954c88f48c
+ sha1sums = a682cd35bf2a85fd7274f4241a91483c53c43f37
sha1sums = 58a60e8af9b4735c564c7223c2bf0c25803927f3
sha1sums = ff9549b8ea326654bad5987c820f6dfd629fce54
@@ -27,13 +30,13 @@ pkgname = bacula-common
pkgname = bacula-console
pkgdesc = Bacula - A Network Backup Tool (management CLI)
install = bacula.install
- depends = bacula-common=7.4.0
+ depends = bacula-common=7.4.3
backup = etc/bacula/bconsole.conf
pkgname = bacula-fd
pkgdesc = Bacula - A Network Backup Tool (file daemon)
install = bacula.install
- depends = bacula-common=7.4.0
+ depends = bacula-common=7.4.3
optdepends = openssl: network encryption between daemons
optdepends = lzo: LZO compression for Storage Daemon
backup = etc/bacula/bacula-fd.conf
@@ -41,7 +44,7 @@ pkgname = bacula-fd
pkgname = bacula-bat
pkgdesc = Bacula - A Network Backup Tool (management GUI)
install = bacula.install
- depends = bacula-common=7.4.0
+ depends = bacula-common=7.4.3
depends = qt4
backup = etc/bacula/bat.conf
@@ -56,7 +59,7 @@ pkgname = bacula-sd
pkgname = bacula-dir
pkgdesc = Bacula - A Network Backup Tool (Director)
install = bacula.install
- depends = bacula-common=7.4.0
+ depends = bacula-common=7.4.3
optdepends = bacula-dir-sqlite3: SQLite support
optdepends = bacula-dir-mariadb: MariaDB support
optdepends = bacula-dir-postgresql: PostgreSQL support
diff --git a/PKGBUILD b/PKGBUILD
index 86c5a4832b9..c316ba55590 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,262 +1,177 @@
-# Maintainer: Tom Keller <tom@isochrono.us>
+# Maintainer: Marcin (CTRL) Wieczorek <marcin@marcin.co>
+# Contributor: Tom Keller <tom@isochrono.us>
# Contributor: Daniel Albers <daniel@lbe.rs>
# Contributor: Steven Haigh <netwiz@crc.id.au>
# Contributor: Georg Altmann <george@george-net.de>
# bacula-fd.service by Christian Hesse <arch@eworm.de>
-pkgbase='bacula'
+pkgbase=bacula
_dir_backends=("${pkgbase}-dir-sqlite3" "${pkgbase}-dir-mariadb" "${pkgbase}-dir-postgresql")
pkgname=("${pkgbase}-common" "${pkgbase}-console" "${pkgbase}-fd" "${pkgbase}-bat" "${pkgbase}-sd" "${pkgbase}-dir" ${_dir_backends[@]} "${pkgbase}-dir-mysql")
-pkgver=7.4.0
+pkgver=7.4.3
pkgrel=1
arch=(i686 x86_64)
-pkgdesc="${pkgbase^} - A Network Backup Tool"
+pkgdesc="${pkgbase^} - A Network Backup Tool "
url="http://www.${pkgbase}.org"
license=('AGPL3')
optdepends=('openssl: network encryption between daemons')
makedepends=('sqlite' 'libmariadbclient' 'postgresql-libs' 'qt4')
source=("http://downloads.sourceforge.net/sourceforge/${pkgbase}/${pkgbase}-${pkgver}.tar.gz"
+ 'bacula-dir.service'
+ 'bacula-fd.service'
+ 'bacula-sd.service'
'00-qmake4.patch'
- '01-basename.patch'
- )
+ '01-basename.patch')
-md5sums=('c290c505b51699201cc5e0adea01f2e0'
- '9ac88867a9ad3a4fe0486a26d0cdb542'
- '1b58f9bf9bfd047b15e8057e2028a96a')
-sha1sums=('6ccc405027e16ae09cbcf2059589dbcbaf5e739f'
+sha1sums=('ca9d11b038dda91a65d8bf98981645ad0f0800f6'
+ '1a68381bd8d0b78cffe78634d160b1a287333c4e'
+ '151c6d8b06d8be029a9a50be4d6e64954c88f48c'
+ 'a682cd35bf2a85fd7274f4241a91483c53c43f37'
'58a60e8af9b4735c564c7223c2bf0c25803927f3'
'ff9549b8ea326654bad5987c820f6dfd629fce54')
-_instdir="${startdir}/install"
_workdir="/var/lib/${pkgbase}"
-_genfiles() {
- > "${srcdir}/${pkgbase}-dir.service" cat <<-EOF
- #
- # ${pkgbase^} Director Daemon service
- #
-
- [Unit]
- Description=${pkgbase^} Director
- Alias=${pkgbase}-dir
- Requires=network.target
- After=network.target remote-fs.target syslog.target
- # Dependency about the database
- # We let administrators decide if they need it (if local db instance)
- #Wants=sqlite3.service
- # Check if working dir exist and is a directory
- ConditionPathIsDirectory=${_workdir}
-
- [Service]
- Type=forking
- Restart=always
- PIDFile=/run/${pkgbase}-dir.9101.pid
- # EnvironmentFile=-/etc/sysconfig/${pkgbase}-dir
- ExecStart=/usr/bin/${pkgbase}-dir -c /etc/${pkgbase}/${pkgbase}-dir.conf
-
- [Install]
- WantedBy=multi-user.target
- EOF
-
- > "${srcdir}/${pkgbase}-fd.service" cat <<-EOF
- #
- # ${pkgbase^} File Daemon service
- #
-
- [Unit]
- Description=${pkgbase^} File Daemon
- Requires=network.target
- After=network.target remote-fs.target syslog.target
-
- [Service]
- Type=forking
- Restart=always
- ExecStart=/usr/bin/${pkgbase}-fd -c /etc/${pkgbase}/${pkgbase}-fd.conf
- IOSchedulingClass=idle
- PIDFile=/run/${pkgbase}-fd.9102.pid
-
- [Install]
- WantedBy=multi-user.target
- EOF
-
- > "${srcdir}/${pkgbase}-sd.service" cat <<-EOF
- #
- # ${pkgbase^} Storage Daemon service
- #
-
- [Unit]
- Description=${pkgbase^} Storage Daemon
- Requires=network.target
- After=network.target remote-fs.target syslog.target
-
- [Service]
- Type=forking
- Restart=always
- PIDFile=/run/${pkgbase}-sd.9103.pid
- # EnvironmentFile=-/etc/sysconfig/${pkgbase}-sd
- ExecStart=/usr/bin/${pkgbase}-sd -c /etc/${pkgbase}/${pkgbase}-sd.conf
-
- [Install]
- WantedBy=multi-user.target
- EOF
-}
-
prepare() {
- pushd "${srcdir}/${pkgbase}-${pkgver}"
- patch -Np3 -i ${srcdir}/00-qmake4.patch || true
- patch -Np2 -i ${srcdir}/01-basename.patch || true
- _genfiles
- popd
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+ patch -Np3 -i "${srcdir}/00-qmake4.patch" || true
+ patch -Np2 -i "${srcdir}/01-basename.patch" || true
}
build() {
- pushd "${srcdir}/${pkgbase}-${pkgver}"
-
- ./configure \
- --enable-bat \
- --enable-smartalloc \
- --prefix=/usr \
- --sbindir=/usr/bin \
- --sysconfdir=/etc/${pkgbase} \
- --with-scriptdir=/etc/${pkgbase}/scripts \
- --with-sqlite3 \
- --with-mysql \
- --with-postgresql \
- --with-pid-dir=/run \
- --with-systemd=/usr/lib/systemd/system \
- --with-logdir=/var/log/${pkgbase} \
- --with-working-dir=${_workdir} \
- --with-x
-
- make DESTDIR="$_instdir" install
- popd
+ cd "${srcdir}/${pkgbase}-${pkgver}"
+ ./configure \
+ --enable-bat \
+ --enable-smartalloc \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --sysconfdir=/etc/${pkgbase} \
+ --with-scriptdir=/etc/${pkgbase}/scripts \
+ --with-sqlite3 \
+ --with-mysql \
+ --with-postgresql \
+ --with-pid-dir=/run \
+ --with-systemd=/usr/lib/systemd/system \
+ --with-logdir=/var/log/${pkgbase} \
+ --with-working-dir="${_workdir}" \
+ --with-x
+
+ make DESTDIR="${srcdir}/install" install
}
package_bacula-bat() {
- pkgdesc="${pkgdesc} (management GUI)"
+ pkgdesc+="(management GUI)"
backup=("etc/${pkgbase}/bat.conf")
depends=("${pkgbase}-common=${pkgver}" 'qt4')
install="bacula.install"
- pushd "${_instdir}"
- cp --parents -a usr/bin/bat ${pkgdir}
- cp --parents -a etc/${pkgbase}/bat.conf ${pkgdir}
- cp --parents -a usr/share/man/man1/bat.1.gz ${pkgdir}
+ cd "${srcdir}/install"
+ cp --parents -a usr/bin/bat "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/bat.conf "${pkgdir}"
+ cp --parents -a usr/share/man/man1/bat.1.gz "${pkgdir}"
- chmod 755 ${pkgdir}/etc/${pkgbase} ${pkgdir}/usr/bin/bat
- chmod 644 ${pkgdir}/etc/${pkgbase}/bat.conf
+ chmod 755 "${pkgdir}/etc/${pkgbase}" "${pkgdir}/usr/bin/bat"
+ chmod 644 "${pkgdir}/etc/${pkgbase}/bat.conf"
- mkdir -p ${pkgdir}/usr/share/applications ${pkgdir}/usr/share/pixmaps
- cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/bat.desktop ${pkgdir}/usr/share/applications/
- cp -a ${srcdir}/${pkgbase}-${pkgver}/src/qt-console/images/bat_icon.png ${pkgdir}/usr/share/pixmaps/
-
- popd
+ mkdir -p "${pkgdir}/usr/share/applications" "${pkgdir}/usr/share/pixmaps"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/scripts/bat.desktop" "${pkgdir}/usr/share/applications/"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/src/qt-console/images/bat_icon.png" "${pkgdir}/usr/share/pixmaps/"
}
package_bacula-fd() {
- pkgdesc="${pkgdesc} (file daemon)"
+ pkgdesc+="(file daemon)"
backup=("etc/${pkgbase}/${pkgname}.conf")
install="bacula.install"
- optdepends=(
- 'openssl: network encryption between daemons'
- 'lzo: LZO compression for Storage Daemon'
- )
+ optdepends=('openssl: network encryption between daemons'
+ 'lzo: LZO compression for Storage Daemon')
depends=("${pkgbase}-common=${pkgver}")
- pushd "${_instdir}"
-
- cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
- cp --parents -a usr/bin/${pkgname} ${pkgdir}
- cp --parents -a usr/lib/bpipe-fd.so ${pkgdir}
- cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
+ cd "${srcdir}/install"
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf "${pkgdir}"
+ cp --parents -a usr/bin/${pkgname} "${pkgdir}"
+ cp --parents -a usr/lib/bpipe-fd.so "${pkgdir}"
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz "${pkgdir}"
- mkdir -p ${pkgdir}/usr/lib/systemd/system/
- cp -f ${srcdir}/${pkgbase}-fd.service ${pkgdir}/usr/lib/systemd/system/
-
- popd
+ mkdir -p "${pkgdir}/usr/lib/systemd/system/"
+ cp -f "${srcdir}/${pkgbase}-fd.service" "${pkgdir}/usr/lib/systemd/system/"
}
package_bacula-common() {
- pkgdesc="${pkgdesc} (common files)"
- pushd "${_instdir}"
-
- cp --parents -a etc/${pkgbase}/scripts/${pkgbase}_config ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/btraceback.gdb ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/btraceback.dbx ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/btraceback.mdb ${pkgdir}
- cp --parents -a usr/bin/btraceback ${pkgdir}
- cp --parents -a usr/lib/libbac-${pkgver}.so ${pkgdir}
- cp --parents -a usr/lib/libbaccfg-${pkgver}.so ${pkgdir}
- cp --parents -a usr/lib/libbacfind-${pkgver}.so ${pkgdir}
- cp --parents -a usr/share/man/man8/btraceback.8.gz ${pkgdir}
- #cp --parents -a usr/lib/libbacpy-${pkgver}.so ${pkgdir}
-
- mkdir -p ${pkgdir}${_workdir}
- mkdir -p ${pkgdir}/var/log/${pkgbase}
-
- popd
+ pkgdesc+="(common files)"
+
+ cd "${srcdir}/install"
+ cp --parents -a etc/${pkgbase}/scripts/${pkgbase}_config "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.gdb "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.dbx "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/btraceback.mdb "${pkgdir}"
+ cp --parents -a usr/bin/btraceback "${pkgdir}"
+ cp --parents -a usr/lib/libbac-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/lib/libbaccfg-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/lib/libbacfind-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/share/man/man8/btraceback.8.gz "${pkgdir}"
+ #cp --parents -a usr/lib/libbacpy-${pkgver}.so "${pkgdir}"
+
+ mkdir -p "${pkgdir}${_workdir}"
+ mkdir -p "${pkgdir}/var/log/${pkgbase}"
}
package_bacula-console() {
- pkgdesc="${pkgdesc} (management CLI)"
+ pkgdesc+="(management CLI)"
backup=("etc/${pkgbase}/bconsole.conf")
install="bacula.install"
depends=("${pkgbase}-common=${pkgver}")
- pushd "${_instdir}"
-
- cp --parents -a usr/bin/bconsole ${pkgdir}
- cp --parents -a etc/${pkgbase}/bconsole.conf ${pkgdir}
- cp --parents -a usr/share/man/man8/bconsole.8.gz ${pkgdir}
- chmod 755 ${pkgdir}/etc/${pkgbase} ${pkgdir}/usr/bin/bconsole
- chmod 644 ${pkgdir}/etc/${pkgbase}/bconsole.conf
+ cd "${srcdir}/install"
+ cp --parents -a usr/bin/bconsole "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/bconsole.conf "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bconsole.8.gz "${pkgdir}"
- popd
+ chmod 755 "${pkgdir}/etc/${pkgbase}" "${pkgdir}/usr/bin/bconsole"
+ chmod 644 "${pkgdir}/etc/${pkgbase}/bconsole.conf"
}
package_bacula-dir() {
- pkgdesc="${pkgdesc} (Director)"
+ pkgdesc+="(Director)"
depends=("${pkgbase}-common=${pkgver}")
install="bacula.install"
- optdepends=(
- "${pkgname}-sqlite3: SQLite support"
- "${pkgname}-mariadb: MariaDB support"
- "${pkgname}-postgresql: PostgreSQL support")
+ optdepends=("${pkgname}-sqlite3: SQLite support"
+ "${pkgname}-mariadb: MariaDB support"
+ "${pkgname}-postgresql: PostgreSQL support")
backup=("etc/${pkgbase}/${pkgname}.conf")
- pushd "${_instdir}"
-
- cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/query.sql ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/create_${pkgbase}_database ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/delete_catalog_backup ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_database ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_tables ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/grant_${pkgbase}_privileges ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/make_${pkgbase}_tables ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/make_catalog_backup.pl ${pkgdir}
- cp --parents -a etc/${pkgbase}/scripts/update_${pkgbase}_tables ${pkgdir}
- cp --parents -a usr/bin/${pkgname} ${pkgdir}
- cp --parents -a usr/bin/bregex ${pkgdir}
- cp --parents -a usr/bin/bsmtp ${pkgdir}
- cp --parents -a usr/bin/bwild ${pkgdir}
- cp --parents -a usr/bin/dbcheck ${pkgdir}
- cp --parents -a usr/share/man/man1/bsmtp.1.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bregex.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bwild.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/dbcheck.8.gz ${pkgdir}
- cp --parents -a usr/lib/libbacsql-${pkgver}.so ${pkgdir}
-
- mkdir -p ${pkgdir}/usr/lib/systemd/system/
- cp -f ${srcdir}/${pkgname}.service ${pkgdir}/usr/lib/systemd/system/
+
+ cd "${srcdir}/install"
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/query.sql "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/create_${pkgbase}_database "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/delete_catalog_backup "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_database "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/drop_${pkgbase}_tables "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/grant_${pkgbase}_privileges "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/make_${pkgbase}_tables "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/make_catalog_backup.pl "${pkgdir}"
+ cp --parents -a etc/${pkgbase}/scripts/update_${pkgbase}_tables "${pkgdir}"
+ cp --parents -a usr/bin/${pkgname} "${pkgdir}"
+ cp --parents -a usr/bin/bregex "${pkgdir}"
+ cp --parents -a usr/bin/bsmtp "${pkgdir}"
+ cp --parents -a usr/bin/bwild "${pkgdir}"
+ cp --parents -a usr/bin/dbcheck "${pkgdir}"
+ cp --parents -a usr/share/man/man1/bsmtp.1.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bregex.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bwild.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/dbcheck.8.gz "${pkgdir}"
+ cp --parents -a usr/lib/libbacsql-${pkgver}.so "${pkgdir}"
+
+ mkdir -p "${pkgdir}/usr/lib/systemd/system/"
+ cp -f "${srcdir}/${pkgname}.service" "${pkgdir}/usr/lib/systemd/system/"
## Logwatch Support
- mkdir -p ${pkgdir}/etc/logwatch/scripts/services/ ${pkgdir}/etc/logwatch/scripts/shared/
- mkdir -p ${pkgdir}/etc/logwatch/conf/logfiles/ ${pkgdir}/etc/logwatch/conf/services/
- cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/${pkgbase} ${pkgdir}/etc/logwatch/scripts/services/
- cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/applybaculadate ${pkgdir}/etc/logwatch/scripts/shared/
- cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/logfile.${pkgbase}.conf ${pkgdir}/etc/logwatch/conf/logfiles/${pkgbase}.conf
- cp -a ${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/services.${pkgbase}.conf ${pkgdir}/etc/logwatch/conf/services/${pkgbase}.conf
+ mkdir -p "${pkgdir}/etc/logwatch/scripts/services/" "${pkgdir}/etc/logwatch/scripts/shared/"
+ mkdir -p "${pkgdir}/etc/logwatch/conf/logfiles/" "${pkgdir}/etc/logwatch/conf/services/"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/${pkgbase}" "${pkgdir}/etc/logwatch/scripts/services/"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/applybaculadate" "${pkgdir}/etc/logwatch/scripts/shared/"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/logfile.${pkgbase}.conf" "${pkgdir}/etc/logwatch/conf/logfiles/${pkgbase}.conf"
+ cp -a "${srcdir}/${pkgbase}-${pkgver}/scripts/logwatch/services.${pkgbase}.conf" "${pkgdir}/etc/logwatch/conf/services/${pkgbase}.conf"
## Logrotate Support
mkdir -p ${pkgdir}/etc/logrotate.d/
@@ -264,85 +179,81 @@ package_bacula-dir() {
}
package_bacula-dir-mariadb() {
- pkgdesc="${pkgdesc} (Director - MariaDB support)"
+ pkgdesc+="(Director - MariaDB support)"
depends=("${pkgbase}-dir" 'libmariadbclient')
conflicts=(${_dir_backends[@]/${pkgname}})
install="bacula.install"
replaces=("${pkgbase}-dir-mysql")
provides=("${pkgbase}-dir-mysql")
- pushd "${_instdir}"
- cp --parents -a usr/lib/libbaccats-mysql-${pkgver}.so ${pkgdir}
- cp --parents -a usr/lib/libbaccats-mysql.so ${pkgdir}
+ cd "${srcdir}/install"
+ cp --parents -a usr/lib/libbaccats-mysql-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/lib/libbaccats-mysql.so "${pkgdir}"
cp -d usr/lib/libbaccats-mysql.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
for file in etc/${pkgbase}/scripts/*mysql*; do
- cp --parents -a "$file" "${pkgdir}"
+ cp --parents -a "${file}" "${pkgdir}"
done
}
package_bacula-dir-mysql() {
- pkgdesc="${pkgdesc} (transition package)"
+ pkgdesc+="(transition package)"
depends=("${pkgbase}-dir-mariadb")
- pushd "${_instdir}"
}
package_bacula-dir-postgresql() {
- pkgdesc="${pkgdesc} (Director - PostgreSQL support)"
+ pkgdesc+="(Director - PostgreSQL support)"
depends=("${pkgbase}-dir" 'postgresql-libs')
install="bacula.install"
conflicts=(${_dir_backends[@]/${pkgname}})
- pushd "${_instdir}"
- cp --parents -a usr/lib/libbaccats-postgresql-${pkgver}.so ${pkgdir}
- cp --parents -a usr/lib/libbaccats-postgresql.so ${pkgdir}
- cp -d usr/lib/libbaccats-postgresql.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
+ cd "${srcdir}/install"
+ cp --parents -a usr/lib/libbaccats-postgresql-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/lib/libbaccats-postgresql.so "${pkgdir}"
+ cp -d usr/lib/libbaccats-postgresql.so "${pkgdir}/usr/lib/libbaccats-${pkgver}.so"
for file in etc/${pkgbase}/scripts/*postgresql*; do
- cp --parents -a "$file" "${pkgdir}"
+ cp --parents -a "${file}" "${pkgdir}"
done
}
package_bacula-dir-sqlite3() {
- pkgdesc="${pkgdesc} (Director - SQLite3 support)"
+ pkgdesc+="(Director - SQLite3 support)"
depends=("${pkgbase}-dir" 'sqlite')
conflicts=(${_dir_backends[@]/${pkgname}})
install="bacula.install"
- pushd "${_instdir}"
- cp --parents -a usr/lib/libbaccats-sqlite3-${pkgver}.so ${pkgdir}
- cp --parents -a usr/lib/libbaccats-sqlite3.so ${pkgdir}
- cp -d usr/lib/libbaccats-sqlite3.so ${pkgdir}/usr/lib/libbaccats-${pkgver}.so
+ cd "${srcdir}/install"
+ cp --parents -a usr/lib/libbaccats-sqlite3-${pkgver}.so "${pkgdir}"
+ cp --parents -a usr/lib/libbaccats-sqlite3.so "${pkgdir}"
+ cp -d usr/lib/libbaccats-sqlite3.so "${pkgdir}/usr/lib/libbaccats-${pkgver}.so"
for file in etc/${pkgbase}/scripts/*sqlite3*; do
- cp --parents -a "$file" "${pkgdir}"
+ cp --parents -a "${file}" "${pkgdir}"
done
}
package_bacula-sd() {
- pkgdesc="${pkgdesc} (Storage Daemon)"
+ pkgdesc+="(Storage Daemon)"
backup=("etc/${pkgbase}/${pkgname}.conf")
install="bacula.install"
depends=("${pkgbase}-common")
- optdepends=(
- 'openssl: network encryption between daemons'
- 'lzo: LZO compression for Storage Daemon'
- )
- pushd "${_instdir}"
-
- cp --parents -a etc/${pkgbase}/${pkgname}.conf ${pkgdir}
- cp --parents -a usr/bin/${pkgname} ${pkgdir}
- cp --parents -a usr/bin/bextract ${pkgdir}
- cp --parents -a usr/bin/bls ${pkgdir}
- cp --parents -a usr/bin/bcopy ${pkgdir}
- cp --parents -a usr/bin/bscan ${pkgdir}
- cp --parents -a usr/bin/btape ${pkgdir}
- cp --parents -a usr/share/man/man8/${pkgname}.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bextract.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bls.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bcopy.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/bscan.8.gz ${pkgdir}
- cp --parents -a usr/share/man/man8/btape.8.gz ${pkgdir}
-
- mkdir -p ${pkgdir}${_workdir}
-
- mkdir -p ${pkgdir}/usr/lib/systemd/system/
- cp -f ${srcdir}/${pkgname}.service ${pkgdir}/usr/lib/systemd/system/
+ optdepends=('openssl: network encryption between daemons'
+ 'lzo: LZO compression for Storage Daemon')
+
+ cd "${srcdir}/install"
+ cp --parents -a etc/${pkgbase}/${pkgname}.conf "${pkgdir}"
+ cp --parents -a usr/bin/${pkgname} "${pkgdir}"
+ cp --parents -a usr/bin/bextract "${pkgdir}"
+ cp --parents -a usr/bin/bls "${pkgdir}"
+ cp --parents -a usr/bin/bcopy "${pkgdir}"
+ cp --parents -a usr/bin/bscan "${pkgdir}"
+ cp --parents -a usr/bin/btape "${pkgdir}"
+ cp --parents -a usr/share/man/man8/${pkgname}.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bextract.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bls.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bcopy.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/bscan.8.gz "${pkgdir}"
+ cp --parents -a usr/share/man/man8/btape.8.gz "${pkgdir}"
+
+ mkdir -p "${pkgdir}${_workdir}"
+ mkdir -p "${pkgdir}/usr/lib/systemd/system/"
+ cp -f "${srcdir}/${pkgname}.service" "${pkgdir}/usr/lib/systemd/system/"
}
diff --git a/bacula-dir.service b/bacula-dir.service
new file mode 100644
index 00000000000..9f0761926cc
--- /dev/null
+++ b/bacula-dir.service
@@ -0,0 +1,24 @@
+#
+# Bacula Director Daemon service
+#
+
+[Unit]
+Description=Bacula Director
+Alias=bacula-dir
+Requires=network.target
+After=network.target remote-fs.target syslog.target
+# Dependency about the database
+# We let administrators decide if they need it (if local db instance)
+#Wants=sqlite3.service
+# Check if working dir exist and is a directory
+ConditionPathIsDirectory=/var/lib/bacula
+
+[Service]
+Type=forking
+Restart=always
+PIDFile=/run/bacula-dir.9101.pid
+# EnvironmentFile=-/etc/sysconfig/bacula-dir
+ExecStart=/usr/bin/bacula-dir -c /etc/bacula/bacula-dir.conf
+
+[Install]
+WantedBy=multi-user.target
diff --git a/bacula-fd.service b/bacula-fd.service
new file mode 100644
index 00000000000..a2bb0a95109
--- /dev/null
+++ b/bacula-fd.service
@@ -0,0 +1,18 @@
+#
+# Bacula File Daemon service
+#
+
+[Unit]
+Description=Bacula File Daemon
+Requires=network.target
+After=network.target remote-fs.target syslog.target
+
+[Service]
+Type=forking
+Restart=always
+ExecStart=/usr/bin/bacula-fd -c /etc/bacula/bacula-fd.conf
+IOSchedulingClass=idle
+PIDFile=/run/bacula-fd.9102.pid
+
+[Install]
+WantedBy=multi-user.target
diff --git a/bacula-sd.service b/bacula-sd.service
new file mode 100644
index 00000000000..45f473815dd
--- /dev/null
+++ b/bacula-sd.service
@@ -0,0 +1,18 @@
+#
+# Bacula Storage Daemon service
+#
+
+[Unit]
+Description=Bacula Storage Daemon
+Requires=network.target
+After=network.target remote-fs.target syslog.target
+
+[Service]
+Type=forking
+Restart=always
+PIDFile=/run/bacula-sd.9103.pid
+# EnvironmentFile=-/etc/sysconfig/bacula-sd
+ExecStart=/usr/bin/bacula-sd -c /etc/bacula/bacula-sd.conf
+
+[Install]
+WantedBy=multi-user.target